Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GTXabsl2LogEntry Class Reference

Class for keeping numerical activation paths and framenumbers. More...

`#include <GTXabsl2ProfilerLog.h>`

List of all members.

## Public Member Functions
| GTXabsl2LogEntry ()
| GTXabsl2LogEntry (unsigned long fn)
| GTXabsl2LogEntry (unsigned long fn, std::vector< GTXabsl2ActiveOption > aO, std::vector< double >dI)
unsigned int | getMaxNumberOfParameters ()
int | differsInParameters (GTXabsl2LogEntry &entry)
| LogEntry Stuff.
## Public Attributes
unsigned long | frameNumber
| framenumber of the entry
std::vector< double > | inputSymbolValues
| decimalinputsymbolvalues
std::vector< GTXabsl2ActiveOption > | activeOptions
| activation path within XABSL-tree

## Detailed Description

Class for keeping numerical activation paths and framenumbers.

Author:
  Michael Spranger

Definition at line 69 of file GTXabsl2ProfilerLog.h.

## Constructor & Destructor Documentation

GTXabsl2LogEntry::GTXabsl2LogEntry | ( |  | ) | `[inline]`

| Definition at line 83 of file GTXabsl2ProfilerLog.h.

GTXabsl2LogEntry::GTXabsl2LogEntry | ( | unsigned long | fn | ) | `[inline]`

| Definition at line 84 of file GTXabsl2ProfilerLog.h.

GTXabsl2LogEntry::GTXabsl2LogEntry | ( | unsigned long | fn,
|  | std::vector< GTXabsl2ActiveOption > | aO,
|  | std::vector< double > | dI
| ) | `[inline]`

| Definition at line 85 of file GTXabsl2ProfilerLog.h. References activeOptions, and inputSymbolValues.

## Member Function Documentation

unsigned int GTXabsl2LogEntry::getMaxNumberOfParameters | ( |  | ) | `[inline]`

| Definition at line 86 of file GTXabsl2ProfilerLog.h. References activeOptions.

int GTXabsl2LogEntry::differsInParameters | ( | GTXabsl2LogEntry & | entry | ) |

| LogEntry Stuff. Definition at line 6 of file GTXabsl2ProfilerLog.cpp. References activeOptions.

## Member Data Documentation

unsigned long GTXabsl2LogEntry::frameNumber

| framenumber of the entry Definition at line 72 of file GTXabsl2ProfilerLog.h. Referenced by operator<<(), operator>>(), and GTXabsl2Profiler::recordLog().

std::vector<double> GTXabsl2LogEntry::inputSymbolValues

| decimalinputsymbolvalues Definition at line 75 of file GTXabsl2ProfilerLog.h. Referenced by GTXabsl2LogEntry(), operator<<(), operator>>(), and GTXabsl2Profiler::recordLog().

std::vector<GTXabsl2ActiveOption> GTXabsl2LogEntry::activeOptions

| activation path within XABSL-tree Definition at line 78 of file GTXabsl2ProfilerLog.h. Referenced by differsInParameters(), getMaxNumberOfParameters(), GTXabsl2LogEntry(), operator<<(), operator>>(), and GTXabsl2Profiler::recordLog().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/GT/GTXabsl2Profiler/GTXabsl2ProfilerLog.h
- Tools/Xabsl2/GT/GTXabsl2Profiler/GTXabsl2ProfilerLog.cpp